summaryrefslogtreecommitdiffstats
path: root/vagrant-demo/scripts/host1-cfg.sh
diff options
context:
space:
mode:
Diffstat (limited to 'vagrant-demo/scripts/host1-cfg.sh')
-rwxr-xr-xvagrant-demo/scripts/host1-cfg.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/vagrant-demo/scripts/host1-cfg.sh b/vagrant-demo/scripts/host1-cfg.sh
new file mode 100755
index 000000000..14ee1022f
--- /dev/null
+++ b/vagrant-demo/scripts/host1-cfg.sh
@@ -0,0 +1,23 @@
+#! /bin/bash
+#
+# Script to configure host1.
+#
+# Copyright (c) 2016 Cisco Systems, Inc. and/or others. All rights reserved.
+
+if [ "$(id -un)" != "vagrant" ] || [ "$VM_NAME" != "(host1)" ]; then
+ echo "ERROR: Must be run inside the vpp1 vagrant VM!"
+ exit 1
+fi
+
+HOST1_IP_ADDR="172.16.10.11"
+HOST2_IP_ADDR="172.16.10.12"
+echo
+echo "Configuring eth1 with $HOST1_IP_ADDR"
+sudo ifconfig eth1 $HOST1_IP_ADDR/24 up
+echo
+echo "ifconfig eth1:"
+ifconfig eth1
+echo
+echo "Run the following command to ping host2:"
+echo " ping $HOST2_IP_ADDR"
+echo